import java.text.DecimalFormat;

public abstract class Shape implements Comparable {

	abstract double area();

	final public int compareTo(Object s) {
		if (((Shape) s).area() == this.area())
			return 0;
		else if (((Shape) s).area() > this.area())
			return -1;
		else
			return 1;
	}
	
	final public String toString() {
		// Ausgabe der Flaeche mit 2 Nachkommastellen
		DecimalFormat k2 = new DecimalFormat("#.00");
		return String.valueOf(k2.format(this.area()));
	}

}